Bug 164468 - unable to support lsb-celestia and lsb-xpaint
unable to support lsb-celestia and lsb-xpaint
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
:
Depends On:
Blocks: 145007 156322
  Show dependency treegraph
 
Reported: 2005-07-27 22:04 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2005-649
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-07-27 22:04:15 EDT
Description of problem:
We have experienced the following error (see additional info) while trying to
test lsb-celestia. Confirmed on both ia64 and x86_64 arch.

Version-Release number of selected component (if applicable):
redhat-lsb-3.0-3.EL.test

How reproducible:
Always

Steps to Reproduce:
1.install redhat-lsb
2.install lsb-celestia-1.3.2-1.lsb3
3.
  
Actual results:
See additional info

Expected results:
No error

Additional info:
[root@superman lsb3]# rpm -Uvh lsb-celestia-1.3.2-1.lsb3.x86_64.rpm
warning: lsb-celestia-1.3.2-1.lsb3.x86_64.rpm: V3 DSA signature: NOKEY, key ID
3b1dccac
error: Failed dependencies:
        lsb-graphics-amd64 >= 3.0 is needed by lsb-celestia-1.3.2-1.lsb3.x86_64
Comment 1 Lawrence Lim 2005-07-27 23:43:36 EDT
http://www.linuxbase.org/LSBWiki/ReleaseNotes3 under the Package Manager Section
states that:

The packaging system on an LSB 3 conforming system must supply four version
dependencies which packages may require. There are two architecture neutral
ones, lsb-core-noarch and lsb-graphics-noarch, as well as two
architecture-specific ones, lsb-core-arch and lsb-graphics-arch. These must be
providing the value 3.0. 

In addition, the Release Note also mentioned that lsb_release command under
redhat-lsb should achieve the following:

The lsb_release command on an LSB 3 conforming system must supply four version
dependencies which may be checked by shell commands (calling lsb_release -v).
There are two architecture neutral ones, core-3.0-noarch and
graphics-3.0-noarch, as well as two architecture-specific ones, core-3.0-arch
and graphics-3.0-arch.

An example output will be:
$ lsb_release -v
LSB Version:    core-3.0-ia64:core-3.0-noarch:graphics-3.0-ia64:graphics-3.0-noarch

Actual Result on our system:
# lsb_release -v
LSB Version:    3.0

Comment 2 Leon Ho 2005-07-28 23:41:53 EDT
Moving this to RHEL4U2Proposed. This is needed for LSB3 conformance. Devel ack
on this.
Comment 3 Lawrence Lim 2005-07-29 01:26:00 EDT
Tested with redhat-lsb-3.0-5.EL.x86_64.rpm against lsb-celestia. Confirmed bug
has been fixed.
Comment 4 Leon Ho 2005-07-29 02:39:05 EDT
Change back to ASSIGNED to get ack.
Comment 5 Tom Kincaid 2005-08-01 06:07:29 EDT
QE ACK
Comment 6 Leon Ho 2005-08-01 23:36:33 EDT
Latest redhat-lsb-3.0-6.EL has the fix.
Comment 9 Red Hat Bugzilla 2005-10-05 12:38:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-649.html

Note You need to log in before you can comment on or make changes to this bug.